require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpScampi", true);

SManager:AddMeal(MealType.STEAK, "steakBeefBurgundy", false);
SManager:AddMeal(MealType.VEGGIE, "veggie", false);
SManager:AddMeal(MealType.CHICKEN, "chickenChardonnay", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMLosAngeles", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMKauai", true);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMYosemite", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");